Commit Graph

58 Commits

Author SHA1 Message Date
2kybe3
3d589588ff treewide: follow some GitHub redirects for fetchFromGitHub
generated using https://git.kybe.xyz/2kybe3/nixpkgs-github-redirect

continuation of: #538419
2026-07-05 10:07:48 +02:00
Robert Schütz
154d63c16c hplip: 3.25.2 -> 3.26.4 2026-06-02 08:56:45 -07:00
Marcin Serwin
85ac6ca088 maintainers: drop ttuegel
Signed-off-by: Marcin Serwin <marcin@serwin.dev>
2026-05-31 20:27:39 +02:00
Peder Bergebakken Sundt
ccb4ffe82f hpp2plantuml: fix build (#499196) 2026-04-05 19:43:14 +00:00
Lisanna Dettwyler
efac04f981 hpl: use https for sources
Signed-off-by: Lisanna Dettwyler <lisanna.dettwyler@gmail.com>
2026-03-21 12:30:12 -04:00
Lisanna Dettwyler
5e97f1768f hpcg: use https for sources
Signed-off-by: Lisanna Dettwyler <lisanna.dettwyler@gmail.com>
2026-03-21 12:30:12 -04:00
System administrator
031cf74628 hpp2plantuml: fix build 2026-03-12 10:44:15 +01:00
Stefan Frijters
85c46264ea hplip: move env vars into env for structuredAttrs 2026-02-19 17:30:26 +01:00
quantenzitrone
18dc8a95fb various: switch buildPythonApplication packages to use finalAttrs
this shouldn't create any rebuilds

the following script was used to generate this:
```fish
#!/usr/bin/env fish

# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}

set base (git rev-parse HEAD)

set scope pkgs/by-name
set builder buildPythonApplication

set files (rg --files-with-matches -F "$builder rec {" $scope | sort -u)

for file in $files
    echo $file
    sd -F "$builder rec {" "$builder (finalAttrs: {" $file
    # version
    sd -F 'version}' 'finalAttrs.version}' $file
    sd -F '${version' '${finalAttrs.version' $file
    sd -F '= version' '= finalAttrs.version' $file
    sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
    sd -F ' + version;' ' + finalAttrs.version;' $file
    sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
    sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
    sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
    sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
    # src
    sd -F 'src}' 'finalAttrs.src}' $file
    sd -F '${src' '${finalAttrs.src' $file
    sd -F '= src' '= finalAttrs.src' $file
    sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
    sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
    # meta
    sd -F '${meta' '${finalAttrs.meta' $file
    sd -F '= meta' '= finalAttrs.meta' $file
    sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
    # pname (restored afterwards)
    sd -F 'pname}' 'finalAttrs.pname}' $file
    sd -F '${pname' '${finalAttrs.pname' $file
    sd -F '= pname' '= finalAttrs.pname' $file
    # combinations
    sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
    sd -F 'inherit src version;' 'inherit (finalAttrs) src version;' $file
    sd -F 'inherit version pname;' 'inherit (finalAttrs) version pname;' $file
    sd -F 'inherit pname version;' 'inherit (finalAttrs) pname version;' $file
    sd -F 'inherit pname src version;' 'inherit (finalAttrs) pname src version;' $file
    sd -F 'inherit pname version src;' 'inherit (finalAttrs) pname version src;' $file
    sd -F 'inherit src pname version;' 'inherit (finalAttrs) src pname version;' $file
    sd -F 'inherit src version pname;' 'inherit (finalAttrs) src version pname;' $file
    sd -F 'inherit version pname src;' 'inherit (finalAttrs) version pname src;' $file
    sd -F 'inherit version src pname;' 'inherit (finalAttrs) version src pname;' $file
    # other
    sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
    sd -F 'nativeBuildInputs}' 'finalAttrs.nativeBuildInputs}' $file
    sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
    sd -F 'propagatedBuildInputs}' 'finalAttrs.propagatedBuildInputs}' $file
    sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
    sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
    sd -F 'makePythonPath dependencies' 'makePythonPath finalAttrs.dependencies' $file
    sd -F 'makePythonPath propagatedBuildInputs' 'makePythonPath finalAttrs.propagatedBuildInputs' $file
    sd -F 'libPath}' 'finalAttrs.libPath}' $file
    sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
    sd -F 'runtimeDeps}' 'finalAttrs.runtimeDeps}' $file
    sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
    sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
    sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
    sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
    sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
    # close finalAttrs lambda
    echo ')' >>$file
    # catch some errors early
    if ! nixfmt $file
        git restore $file
        continue
    end
    if ! nixf-diagnose -i sema-primop-overridden $file
        git restore $file
        continue
    end
end

set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
    git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
    git restore $torestore
end

# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore

for file in $files
    # file hasn't changed
    if git diff --quiet $base $file
        continue
    end
    # try to eval the package to definitely catch all errors
    echo $file
    set pname (string split / $file -f 4)
    if ! nix eval .#$pname
        set torestore $torestore $file
    end
end

# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
    git restore $torestore
end
```

after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 10:06:06 +01:00
Fernando Rodrigues
6308c3b213 various: switch to finalAttrs pattern (#483882) 2026-01-30 02:32:49 +00:00
quantenzitrone
6b61249106 various: switch to finalAttrs pattern
this shouldn't create any rebuilds
2026-01-30 02:36:22 +01:00
Stefan Frijters
4ed2f7d408 hplip: expand pythonPath bash array for structuredAttrs 2026-01-27 12:25:00 +01:00
Michael Daniels
5ed07317e9 treewide: change 'format = "other";' to 'pyproject = false;'
Entirely find-and-replace based.

A few usages that would cause rebuilds if changed remain.

This PR should have 0 rebuilds.
2026-01-12 17:50:37 -05:00
Yueh-Shun Li
c184bc4561 treewide: fetchPypi: stop inheriting format from the main package
The `format` of `buildPythonPackage` has differed from `fetchPypi`.

Decouple to facilitate `finalAttrs` migration.
2026-01-11 14:44:05 +01:00
Leona Maroni
013b4a6d0e hplip: fix build with gcc15 2025-12-20 15:41:54 +01:00
Daniel Berendeev
9ad97e2943 hp-unified-linux-driver: init at 1.00.39.12_00.15
There are some HP printers that are actually Samsung printers in disguise (because HP bought Samsung
printer division). These printers are not supported by HPLIP. To use them, one must obtain a special
driver: hp-uld (unified linux driver), which is a modified samsung driver.

This driver introduces support for
- HP Color Laser 15x Series
- HP Color Laser MFP 17x Series
- HP Laser 10x Series
- HP Laser MFP 13x Series

Where x stands for various model numbers from the lineup.

This derivation does some ugly library patching, because the scanner library needs some hardcoded
paths. In inspiration from similar packages in the collection, the patch was written.

The driver uses libxml2.so.2, which is provided by an older libxml2 version.
2025-12-19 02:40:06 +00:00
Ihar Hrachyshka
567e8dfd8e treewide: clean up 'meta = with' pattern
This commit was created by a combination of scripts and tools:
- an ast-grep script to prefix things in meta with `lib.`,
- a modified nixf-diagnose / nixf combination to remove unused `with
lib;`, and
- regular nixfmt.

Co-authored-by: Wolfgang Walther <walther@technowledgy.de>
2025-12-10 18:09:49 +01:00
aleksana
364f41c071 hpx: add patch to fix build with asio >= 1.34.0 2025-12-03 22:45:43 +08:00
Guilhem Saurel
dd4e5b4a65 hpipm: 0.1.3-unstable-2025-09-25 -> 0.1.3-unstable-2025-07-25
Back in time to unbreak casadi.
I must have failed something while retesting after https://github.com/NixOS/nixpkgs/pull/444660#discussion_r2379636210
2025-10-01 09:53:57 +02:00
K900
03bf26cffa Merge remote-tracking branch 'origin/master' into staging-next 2025-09-29 08:31:31 +03:00
Guilhem Saurel
53e209515d hpipm: 0-unstable-2024-07-30 -> 0.1.3-unstable-2025-09-25
fix for CMake v4

Co-authored-by: Grimmauld <soeren@benjos.de>
2025-09-26 08:42:02 +02:00
cprice11
7d1ffff04c hping: Update homepage
The [hping.org](www.hping.org) url lapsed sometime in 2023 ([last
capture]). It appears to now be a korean gambling site. I'm updating it
to the [source repository] the package pulls from instead.

Alternately, we could use the [last capture] link from archive.org
instead, but as far as I can tell that seems to be a less common
solution accross nixpgs (I found 11 instances for mostly small projects)

[source repository]: https://github.com/antirez/hping
[last capture]:
https://web.archive.org/web/20221101000000*/www.hping.org
2025-09-19 15:09:15 -06:00
Wolfgang Walther
5a0711127c treewide: run nixfmt 1.0.0 2025-07-24 13:55:40 +02:00
Wolfgang Walther
715d372a0c hplipWithPlugin: remove assert
This assert is already handled by `meta.platforms`, which can be better
caught by CI than an `assert`. Also set `meta.platforms` to the earlier
defined `hplipPlatforms` for a single source of truth.
2025-07-21 18:08:06 +02:00
nixpkgs-ci[bot]
10c6f557f3 Merge master into staging-next 2025-07-10 12:07:17 +00:00
R. Ryantm
b285a4c488 hpx: 1.10.0 -> 1.11.0 2025-06-29 19:51:09 +00:00
zimbatm
39c01d22bf net-tools: rename from nettools
By being in sync with the pname, it makes it easier to walk back from
the pname that shows in the /nix/store back to the attribute.

This change should not cause any rebuild.
2025-06-21 19:57:36 +02:00
wxt
34a65cfa85 hplip: 3.24.4 -> 3.25.2 2025-05-11 08:27:57 +08:00
wxt
ab1ea56b74 hplip: stylix 2025-05-11 08:13:50 +08:00
Winter
a19cd4ffb1 Revert "treewide: replace rev with tag"
This reverts commit 65a333600d.

This wasn't tested for correctness with something like fodwatch [0],
and should not have been (self-)merged so quickly, especially without
further review.

It also resulted in the breakage of at least one package [1] (and that's
the one we know of and was caught).

A few packages that were updated in between this commit and this revert
were not reverted back to using `rev`, but other than that, this is a
1:1 revert.

[0]: https://codeberg.org/raphaelr/fodwatch
[1]: https://github.com/NixOS/nixpkgs/pull/396904 / 758551e458
2025-04-08 02:57:25 -04:00
Pol Dellaiera
65a333600d treewide: replace rev with tag 2025-04-07 16:57:22 +02:00
R. Ryantm
37e57731e7 hp2p: 4.1 -> 4.2 2025-03-28 22:03:37 +00:00
jopejoe1
7d30c40939 treewide: migrate packages to pkgs/by-name, again 2025-03-25 17:00:45 +01:00
Arnout Engelen
833db48ad1 hplip: fix building with python 3.12
Fixes #383676

Apparently distutils is now needed for the configure script to find
the reference to the Python header files
2025-03-24 23:25:00 +01:00
psentee
60b7c9f8ca hplip: fix plugin fetch (#391529) 2025-03-23 17:06:02 +01:00
Sigmanificient
e6fe6f4b7c treewide: remove unused rec expressions 2025-03-13 21:34:05 +01:00
Peder Bergebakken Sundt
357d2530e5 treewide: substitute pname for strings
Inspired by https://github.com/NixOS/nixpkgs/pull/387725#issuecomment-2704943777, script is based on https://github.com/NixOS/nixpkgs/pull/336172 using what i learned in https://github.com/NixOS/nixpkgs/pull/386865, part of https://github.com/NixOS/nixpkgs/issues/346453

Should be zero rebuilds.

All candidates were made using:

```shell

export NIXPKGS_ALLOW_UNFREE=1
export NIXPKGS_ALLOW_INSECURE=1
export NIXPKGS_ALLOW_BROKEN=1

git-wait restore .

test -s packages.json || ( set -x;
  time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages.json
)

list_attrpath_fname_col() {
    jq <packages.json 'to_entries[] | select(.value.meta.position==null|not) | "\(.key)\t\(.value.meta.position)"' -r |
        sed -e "s#\t$(realpath .)/#\t#" |
        sed -e 's#:\([0-9]*\)$#\t\1#' |
        grep . |
        grep -iv haskell |
        grep -iv /top-level/ |
        grep -iv chicken |
        grep pkgs/by-name/ |
        grep -iv build |
        grep -E '/(package|default)\.nix'
}

FLOCKDIR="$(mktemp -d)"
N_WORKERS=4
while read attrpath fname col; do
    grep -qE 'repo *= *("\$\{pname\}"|pname);' "$fname" || continue

    echo | (
        # mutex on fname
        flock --nonblock 200 || {
            >&2 echo "failed to aquire lock for $fname"
            exit 1
        }

        echo "$attrpath"
        data="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)" || exit
        test -n "$data" || exit
        pname="$(jq <<<"$data" .pname -r)"
        test -n "$pname" || exit

        (set -x
            sd -F '${pname}'  "$pname"         "$fname"
            sd -F ' = pname;' " = \"$pname\";" "$fname"
        )

        data2="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)"
        if [[ "$data" = "$data2" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
            exit
        fi

        (set -x
            sd -F ' rec {' ' {' "$fname"
        )

        data3="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json 2>/dev/nul)"

        if [[ "$data" = "$data3" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
        fi

    ) 200>"$FLOCKDIR"/"$(sha256sum - <<<"$fname" | cut -d' ' -f1)".lock &

    while [[ $(jobs -p | wc -l) -ge $N_WORKERS ]]; do
        wait -n < <(jobs -p) || true
    done

done < <(list_attrpath_fname_col)

wait

git restore .

time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages2.json
```

`diff packages{,2}.json` is empty, indicating that no package nor src derivation has changed.
I checked and cherry-picked the changes using `GIT_DIFF_OPTS='-u15' git -c interactive.singleKey=true add --patch`
2025-03-11 23:55:31 +01:00
Gaetan Lepage
2f454a9ea5 hp2p: unstable-2023-10-25 -> 4.1
Diff:
711f6cc5b4...4.1

Changelog: https://github.com/cea-hpc/hp2p/releases/tag/4.1
2025-03-05 18:19:05 +01:00
wxt
2a80a745f3 hplip: fix build 2024-12-27 17:30:00 +08:00
Philip Taron
66cdf593c0 treewide: replace substituteAll with replaceVars (#1) (#365440) 2024-12-15 19:10:09 -08:00
Wolfgang Walther
ebd18cf115 treewide: replace substituteAll with replaceVars (#1)
Driving #237216 forward.
2024-12-15 22:25:35 +01:00
Guilhem Saurel
eb1b38d147 hpp-fcl -> coal: 2.4.5 -> 3.0.0
Co-authored-by: Gaétan Lepage <33058747+GaetanLepage@users.noreply.github.com>
2024-12-13 21:39:54 +01:00
Silvan Mosberger
4f0dadbf38 treewide: format all inactive Nix files
After final improvements to the official formatter implementation,
this commit now performs the first treewide reformat of Nix files using it.
This is part of the implementation of RFC 166.

Only "inactive" files are reformatted, meaning only files that
aren't being touched by any PR with activity in the past 2 months.
This is to avoid conflicts for PRs that might soon be merged.
Later we can do a full treewide reformat to get the rest,
which should not cause as many conflicts.

A CI check has already been running for some time to ensure that new and
already-formatted files are formatted, so the files being reformatted here
should also stay formatted.

This commit was automatically created and can be verified using

    nix-build a08b3a4d19.tar.gz \
      --argstr baseRev b32a094368
    result/bin/apply-formatting $NIXPKGS_PATH
2024-12-10 20:26:33 +01:00
R. Ryantm
93222392c5 hpp2plantuml: 0.8.5 -> 0.8.6 2024-12-10 13:59:29 +00:00
aleksana
571c71e6f7 treewide: migrate packages to pkgs/by-name, take 1
We are migrating packages that meet below requirements:

1. using `callPackage`
2. called path is a directory
3. overriding set is empty (`{ }`)
4. not containing path expressions other than relative path (to
makenixpkgs-vet happy)
5. not referenced by nix files outside of the directory, other
than`pkgs/top-level/all-packages.nix`
6. not referencing nix files outside of the directory
7. not referencing `default.nix` (since it's changed to `package.nix`)
8. `outPath` doesn't change after migration

The tool is here: https://github.com/Aleksanaa/by-name-migrate.
2024-11-09 20:04:51 +08:00
Markus Kowalewski
077fedc902 hpcg: apply nixfmt 2024-09-26 22:32:41 +02:00
Markus Kowalewski
21377a2876 hpcg: move to pkgs/by-name 2024-09-26 21:18:51 +02:00
Artturin
e0464e4788 treewide: replace stdenv.is with stdenv.hostPlatform.is
In preparation for the deprecation of `stdenv.isX`.

These shorthands are not conducive to cross-compilation because they
hide the platforms.

Darwin might get cross-compilation for which the continued usage of `stdenv.isDarwin` will get in the way

One example of why this is bad and especially affects compiler packages
https://www.github.com/NixOS/nixpkgs/pull/343059

There are too many files to go through manually but a treewide should
get users thinking when they see a `hostPlatform.isX` in a place where it
doesn't make sense.

```
fd --type f "\.nix" | xargs sd --fixed-strings "stdenv.is" "stdenv.hostPlatform.is"
fd --type f "\.nix" | xargs sd --fixed-strings "stdenv'.is" "stdenv'.hostPlatform.is"
fd --type f "\.nix" | xargs sd --fixed-strings "clangStdenv.is" "clangStdenv.hostPlatform.is"
fd --type f "\.nix" | xargs sd --fixed-strings "gccStdenv.is" "gccStdenv.hostPlatform.is"
fd --type f "\.nix" | xargs sd --fixed-strings "stdenvNoCC.is" "stdenvNoCC.hostPlatform.is"
fd --type f "\.nix" | xargs sd --fixed-strings "inherit (stdenv) is" "inherit (stdenv.hostPlatform) is"
fd --type f "\.nix" | xargs sd --fixed-strings "buildStdenv.is" "buildStdenv.hostPlatform.is"
fd --type f "\.nix" | xargs sd --fixed-strings "effectiveStdenv.is" "effectiveStdenv.hostPlatform.is"
fd --type f "\.nix" | xargs sd --fixed-strings "originalStdenv.is" "originalStdenv.hostPlatform.is"
```
2024-09-25 00:04:37 +03:00
Guilhem Saurel
92f4e6f3c3 hpp-fcl: format 2024-09-18 10:20:00 +02:00
Guilhem Saurel
5edda6c9d0 hpp-fcl: set platforms 2024-09-17 15:57:29 +02:00